
   CREATE SEQUENCE  "MASZYNY_LICZNIK"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 10 START WITH 80 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Table AWARIE
--------------------------------------------------------

  CREATE TABLE "AWARIE" 
   (	"CZAS" DATE, 
	"USUNITA" CHAR(1 BYTE), 
	"OPIS" CLOB, 
	"ID_MASZYNY" NUMBER(4,0)
   ) ;
--------------------------------------------------------
--  DDL for Table HALE
--------------------------------------------------------

  CREATE TABLE "HALE" 
   (	"ID_HALI" NUMBER(2,0), 
	"NAZWA" VARCHAR2(30 BYTE), 
	"ADRES" CLOB
   ) ;
--------------------------------------------------------
--  DDL for Table MASZYNY
--------------------------------------------------------

  CREATE TABLE "MASZYNY" 
   (	"ID_MASZYNY" NUMBER(4,0), 
	"NAZWA" VARCHAR2(30 BYTE), 
	"DATA_URUCHOMIENIA" DATE, 
	"ID_HALI" NUMBER(2,0)
   ) ;
--------------------------------------------------------
--  DDL for Table OPERATOR_MASZYNA
--------------------------------------------------------

  CREATE TABLE "OPERATOR_MASZYNA" 
   (	"ID_OPERATORA" NUMBER(4,0), 
	"ID_MASZYNY" NUMBER(4,0)
   ) ;
--------------------------------------------------------
--  DDL for Table OPERATORZY
--------------------------------------------------------

  CREATE TABLE "OPERATORZY" 
   (	"ID_OPERATORA" NUMBER(4,0), 
	"NAZWISKO" VARCHAR2(25 BYTE), 
	"IMIE" VARCHAR2(25 BYTE), 
	"DATA_ZATRUDNIENIA" DATE, 
	"PLACA" NUMBER(6,2), 
	"PRZEOONY" NUMBER(4,0)
   ) ;
--------------------------------------------------------
--  DDL for View MASZYNY_USZKODZONE
--------------------------------------------------------

  CREATE OR REPLACE FORCE VIEW "MASZYNY_USZKODZONE" ("ID_MASZYNY", "NAZWA") AS 
  select m.id_maszyny, m.nazwa
   from maszyny m join awarie a on m.id_maszyny = a.id_maszyny
   where NVL(a.usunita,'N') = 'N';

REM INSERTING into AWARIE
SET DEFINE OFF;
Insert into AWARIE (CZAS,"USUNITA",ID_MASZYNY, OPIS) values (to_date('13/07/07','RR/MM/DD'),'T','50','Nie krci si');
Insert into AWARIE (CZAS,"USUNITA",ID_MASZYNY, OPIS) values (to_date('23/12/10','RR/MM/DD'),'T','20','Podnonik nie dziaa');
Insert into AWARIE (CZAS,"USUNITA",ID_MASZYNY, OPIS) values (to_date('07/01/11','RR/MM/DD'),'T','40','Nie wcza si');
Insert into AWARIE (CZAS,"USUNITA",ID_MASZYNY, OPIS) values (to_date('12/03/11','RR/MM/DD'),null,'20','Zbyt wolno jedzie');
Insert into AWARIE (CZAS,"USUNITA",ID_MASZYNY, OPIS) values (to_date('17/11/12','RR/MM/DD'),null,'60','Niedokadnie prasuje');
REM INSERTING into HALE
SET DEFINE OFF;
Insert into HALE (ID_HALI,NAZWA) values ('1','Hala produkcyjna 1');
Insert into HALE (ID_HALI,NAZWA) values ('2','Magazyn A');
Insert into HALE (ID_HALI,NAZWA) values ('3','Budynek administracyjny');
REM INSERTING into MASZYNY
SET DEFINE OFF;
Insert into MASZYNY (ID_MASZYNY,NAZWA,DATA_URUCHOMIENIA,ID_HALI) values ('10','Obrabiarka numeryczna',to_date('01/10/23','RR/MM/DD'),'1');
Insert into MASZYNY (ID_MASZYNY,NAZWA,DATA_URUCHOMIENIA,ID_HALI) values ('20','Wzek widowy "Lemur"',to_date('11/03/27','RR/MM/DD'),'2');
Insert into MASZYNY (ID_MASZYNY,NAZWA,DATA_URUCHOMIENIA,ID_HALI) values ('30','Suwnica',to_date('01/03/11','RR/MM/DD'),'1');
Insert into MASZYNY (ID_MASZYNY,NAZWA,DATA_URUCHOMIENIA,ID_HALI) values ('40','Ploter tncy A-32',to_date('14/02/10','RR/MM/DD'),'3');
Insert into MASZYNY (ID_MASZYNY,NAZWA,DATA_URUCHOMIENIA,ID_HALI) values ('50','Tokarka',to_date('06/07/05','RR/MM/DD'),'1');
Insert into MASZYNY (ID_MASZYNY,NAZWA,DATA_URUCHOMIENIA,ID_HALI) values ('60','Prasa hydrauliczna',to_date('03/11/09','RR/MM/DD'),'1');
Insert into MASZYNY (ID_MASZYNY,NAZWA,DATA_URUCHOMIENIA,ID_HALI) values ('70','Wzek widowy "Lemur lux"',to_date('14/03/13','RR/MM/DD'),'2');
REM INSERTING into OPERATOR_MASZYNA
SET DEFINE OFF;
Insert into OPERATOR_MASZYNA (ID_OPERATORA,ID_MASZYNY) values ('10','30');
Insert into OPERATOR_MASZYNA (ID_OPERATORA,ID_MASZYNY) values ('10','60');
Insert into OPERATOR_MASZYNA (ID_OPERATORA,ID_MASZYNY) values ('20','10');
Insert into OPERATOR_MASZYNA (ID_OPERATORA,ID_MASZYNY) values ('30','20');
Insert into OPERATOR_MASZYNA (ID_OPERATORA,ID_MASZYNY) values ('30','70');
Insert into OPERATOR_MASZYNA (ID_OPERATORA,ID_MASZYNY) values ('40','50');
Insert into OPERATOR_MASZYNA (ID_OPERATORA,ID_MASZYNY) values ('60','40');
REM INSERTING into OPERATORZY
SET DEFINE OFF;
Insert into OPERATORZY (ID_OPERATORA,NAZWISKO,IMIE,DATA_ZATRUDNIENIA,PLACA,"PRZEOONY") values ('10','SCHWARZENEGGER','ARNOLD',to_date('03/03/30','RR/MM/DD'),'1050',null);
Insert into OPERATORZY (ID_OPERATORA,NAZWISKO,IMIE,DATA_ZATRUDNIENIA,PLACA,"PRZEOONY") values ('20','MACGYVER','ANGUS',to_date('06/11/12','RR/MM/DD'),'900','10');
Insert into OPERATORZY (ID_OPERATORA,NAZWISKO,IMIE,DATA_ZATRUDNIENIA,PLACA,"PRZEOONY") values ('30','BOND','JAMES',to_date('02/03/13','RR/MM/DD'),'1100',null);
Insert into OPERATORZY (ID_OPERATORA,NAZWISKO,IMIE,DATA_ZATRUDNIENIA,PLACA,"PRZEOONY") values ('40','NORRIS','CHUCK',to_date('09/10/21','RR/MM/DD'),'870','10');
Insert into OPERATORZY (ID_OPERATORA,NAZWISKO,IMIE,DATA_ZATRUDNIENIA,PLACA,"PRZEOONY") values ('50','STALLONE','SYLVESTER',to_date('10/01/01','RR/MM/DD'),'999','30');
Insert into OPERATORZY (ID_OPERATORA,NAZWISKO,IMIE,DATA_ZATRUDNIENIA,PLACA,"PRZEOONY") values ('60','WILLIS','BRUCE',to_date('08/05/21','RR/MM/DD'),'800','10');
--------------------------------------------------------
--  DDL for Index KEY_1
--------------------------------------------------------

  CREATE UNIQUE INDEX "KEY_1" ON "AWARIE" ("CZAS") 
  ;
--------------------------------------------------------
--  DDL for Index Hala PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "Hala PK" ON "HALE" ("ID_HALI") 
  ;
--------------------------------------------------------
--  DDL for Index Maszyna PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "Maszyna PK" ON "MASZYNY" ("ID_MASZYNY") 
  ;
--------------------------------------------------------
--  DDL for Index RELATION_3__IDX
--------------------------------------------------------

  CREATE UNIQUE INDEX "RELATION_3__IDX" ON "OPERATOR_MASZYNA" ("ID_OPERATORA", "ID_MASZYNY") 
  ;
--------------------------------------------------------
--  DDL for Index Operator PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "Operator PK" ON "OPERATORZY" ("ID_OPERATORA") 
  ;
--------------------------------------------------------
--  Constraints for Table AWARIE
--------------------------------------------------------

  ALTER TABLE "AWARIE" ADD CONSTRAINT "KEY_1" PRIMARY KEY ("CZAS") ENABLE;
  ALTER TABLE "AWARIE" MODIFY ("ID_MASZYNY" NOT NULL ENABLE);
  ALTER TABLE "AWARIE" MODIFY ("OPIS" NOT NULL ENABLE);
  ALTER TABLE "AWARIE" MODIFY ("CZAS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table HALE
--------------------------------------------------------

  ALTER TABLE "HALE" ADD CONSTRAINT "Hala PK" PRIMARY KEY ("ID_HALI") ENABLE;
  ALTER TABLE "HALE" MODIFY ("NAZWA" NOT NULL ENABLE);
  ALTER TABLE "HALE" MODIFY ("ID_HALI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table MASZYNY
--------------------------------------------------------

  ALTER TABLE "MASZYNY" ADD CONSTRAINT "Maszyna PK" PRIMARY KEY ("ID_MASZYNY") ENABLE;
  ALTER TABLE "MASZYNY" MODIFY ("ID_HALI" NOT NULL ENABLE);
  ALTER TABLE "MASZYNY" MODIFY ("NAZWA" NOT NULL ENABLE);
  ALTER TABLE "MASZYNY" MODIFY ("ID_MASZYNY" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table OPERATOR_MASZYNA
--------------------------------------------------------

  ALTER TABLE "OPERATOR_MASZYNA" ADD CONSTRAINT "RELATION_3__IDX" PRIMARY KEY ("ID_OPERATORA", "ID_MASZYNY") ENABLE;
  ALTER TABLE "OPERATOR_MASZYNA" MODIFY ("ID_MASZYNY" NOT NULL ENABLE);
  ALTER TABLE "OPERATOR_MASZYNA" MODIFY ("ID_OPERATORA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table OPERATORZY
--------------------------------------------------------

  ALTER TABLE "OPERATORZY" ADD CONSTRAINT "Operator PK" PRIMARY KEY ("ID_OPERATORA") ENABLE;
  ALTER TABLE "OPERATORZY" MODIFY ("IMIE" NOT NULL ENABLE);
  ALTER TABLE "OPERATORZY" MODIFY ("NAZWISKO" NOT NULL ENABLE);
  ALTER TABLE "OPERATORZY" MODIFY ("ID_OPERATORA" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table AWARIE
--------------------------------------------------------

  ALTER TABLE "AWARIE" ADD CONSTRAINT "MASZYNA_AWARIA" FOREIGN KEY ("ID_MASZYNY")
	  REFERENCES "MASZYNY" ("ID_MASZYNY") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table MASZYNY
--------------------------------------------------------

  ALTER TABLE "MASZYNY" ADD CONSTRAINT "HALA_MASZYNA" FOREIGN KEY ("ID_HALI")
	  REFERENCES "HALE" ("ID_HALI") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table OPERATOR_MASZYNA
--------------------------------------------------------

  ALTER TABLE "OPERATOR_MASZYNA" ADD CONSTRAINT "FK_ASS_3" FOREIGN KEY ("ID_OPERATORA")
	  REFERENCES "OPERATORZY" ("ID_OPERATORA") ON DELETE CASCADE ENABLE;
  ALTER TABLE "OPERATOR_MASZYNA" ADD CONSTRAINT "FK_ASS_4" FOREIGN KEY ("ID_MASZYNY")
	  REFERENCES "MASZYNY" ("ID_MASZYNY") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table OPERATORZY
--------------------------------------------------------

  ALTER TABLE "OPERATORZY" ADD CONSTRAINT "SZEF_PODWADNY" FOREIGN KEY ("PRZEOONY")
	  REFERENCES "OPERATORZY" ("ID_OPERATORA") ENABLE;
